> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/apiv2/estimate-fee",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Estimate Fee

> Estimate fees required for query processing. Fields body, init-code and init-data accepted in serialized format (b64-encoded).



## OpenAPI

````yaml post /api/v3/estimateFee
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/estimateFee:
    post:
      tags:
        - Api/v2
      summary: Estimate Fee
      description: >-
        Estimate fees required for query processing. Fields body, init-code and
        init-data accepted in serialized format (b64-encoded).
      operationId: api_v3_post_v2_estimate_fee
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/V2EstimateFeeRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2EstimateFeeResult'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    V2EstimateFeeRequest:
      type: object
      properties:
        address:
          type: string
        body:
          type: string
        ignore_chksig:
          type: boolean
        init_code:
          type: string
        init_data:
          type: string
    V2EstimateFeeResult:
      type: object
      properties:
        destination_fees:
          type: array
          items:
            $ref: '#/components/schemas/V2EstimatedFee'
        source_fees:
          $ref: '#/components/schemas/V2EstimatedFee'
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string
    V2EstimatedFee:
      type: object
      properties:
        fwd_fee:
          type: integer
        gas_fee:
          type: integer
        in_fwd_fee:
          type: integer
        storage_fee:
          type: integer

````